containers/:containerId/modelsets/:modelSetId/versions/:version/views
Retrieves a list of all model set views in a given model set as they exist in a specific model set version.
This operation determines which specific versions of the document lineages contained in each view are present in the given model set version.
The response will contain a list of view versions, restricted by the number specified in the pageLimit property. If the number of matching view versions exceeds the pageLimit, the server will provide a non-null continuationToken property in the response. This token can be used in a subsequent call to the endpoint to retrieve additional results. The server may limit the number of view versions returned in the response based on its own maximum limit.
Resource Information
| Method and URI | GET https://developer.api.autodesk.com/bim360/modelset/v3/containers/:containerId/modelsets/:modelSetId/versions/:version/views |
| Authentication Context | user context required |
| Required OAuth Scopes | data:read |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is obtained via a three-legged OAuth flow. |
| region string | The region to which your request should be routed. If not set, the request is routed automatically but may incur a small latency increase.
For the full list of supported regions, see the Regions page. The API continues to support |
Request
URI Parameters
| containerId string: UUID | The GUID that uniquely identifies the container. |
| modelSetId string: UUID | The GUID that uniquely identifies the model set. |
| version int32 | The model set version number. |
Request
Query Parameters
| pageLimit int32 | The maximum number of view versions to be returned in a single page. If not set, the default page limit is used, as determined by the server. If set to higher than the server’s maximum limit then the server’s limit will be used. |
| continuationToken string | The token indicating the start of the page. If not set, the first page is retrieved. |
Response
HTTP Status Code Summary
| 200 OK | Success |
| 400 Bad Request | The parameters of the requested operation are invalid. |
| 401 Unauthorized | The provided bearer token is not valid. |
| 403 Forbidden | The user or service represented by the bearer token does not have permission to perform this operation. |
| 404 Not Found | The requested resource could not be found. |
| 429 Too Many Requests | Rate limit exceeded. Wait some time before retrying. The Retry-After header might provide the amount of the time to wait. |
| 500 Internal Server Error | An unknown error occurred on the server. |
Response
Body Structure (200)
| page object | Paging information associated with a paging response. |
| continuationToken string | A continuation token to retrieve the next page. |
| modelSetViewVersions array: object | The list of model set view versions.
Max items: |
| viewId string: UUID | The GUID that uniquely identifies the view. |
| modelSetId string: UUID | The GUID that uniquely identifies the model set. |
| documentVersions array: object | The document versions included in this version of the model set. |
| stableDocumentId string | The unique ID of the document which identifies all versions of this document and is stable across model set versions. |
| unstableDocumentId string | The unique ID of the document which identifies this version of the document and is not stable across model set versions. |
| documentLineage object | A document from a model set. |
| lineageUrn string | The URN of the document lineage. |
| parentFolderUrn string | The URN of the parent folder for the document lineage. |
| isAligned boolean | Indicates whether the document lineage is aligned. |
| tipVersionUrn string | The tip version URN for the document lineage. |
| alignment object | Contains the transform and alignment checksum for this document. |
| transform array: double | A 4x4 matrix stored in column-major order, used for column-vector (mV) multiplication.
Min items: |
| checksum string | An opaque string describing the current state of the object, used to prevent update collisions. |
| upAxis array: int | An axis-aligned unit vector describing which axis is considered up.
Min items: |
| distanceUnit enum: string | A Forge unit identifier describing the model’s units.
Possible values: |
| isTipVersion boolean | Indicates whether this document version is the most recent version (tip) in the lineage. |
| documentStatus enum: string | The status of the document.
Possible values: |
| forgeType enum: string | The forge type associated with this document (used by the Document Management APIs).
Possible values: |
| versionUrn string | The URN of the document version. |
| displayName string | The display name of the document version. |
| revision int | The revision label as seen in Document Management. |
| viewableName string | The name of the viewable in the Model Derivative manifest. |
| createUserId string | The unique identifier of the user who created the document version. |
| createTime datetime: ISO 8601 | The date and time that the document version was created. |
| viewableGuid string | The ID of the geometry node in the derivative manifest to which this document version refers. |
| viewableId string | The ID of the viewable for the document version. |
| viewableMime string | The mime type of the viewable for the document version. |
| bubbleUrn string | The URN of the Model Derivative bubble for the document version. |
| isSvf2Supported boolean | Indicates whether this file supports the SVF2 streaming web format for Forge Viewer. |
| originalSeedFileVersionSize int64 | The size of the seed file version in bytes from which this document was originally extracted. Null if this document’s forgeType is versions:autodesk.bim360:Document. |
| originalSeedFileVersionUrn string | The URN of the seed file version from which this document was originally extracted. |
| originalSeedFileVersionName string | The name of the seed file version from which this document was originally extracted. |
| version int32 | The model set version number. |
Response
Body Structure (400)
| type string | The error code. |
| title string | A short title for the error. |
| detail string | A more detailed, human readable description of the error, assuming that this message is not localized and is therefore EN-US. UI consumers can use the error.type value to provide a localized version of this error for presentation. |
| errors array: object | A set of specific validation errors that need to be fixed. |
| field string | The field which failed validation. |
| title string | A short title for the error. |
| detail string | A more detailed, human readable description of the error, assuming that this message is not localized and is therefore EN-US. UI consumers can use the error.type value to provide a localized version of this error for presentation. |
| type string | The error code. |
Example #1 (no query parameters)
Request
curl -v 'https://developer.api.autodesk.com/bim360/modelset/v3/containers/f0f4f36a-ac64-687f-b132-8efe04b22454/modelsets/00fb28a5-e8a4-2755-562a-7c2f0fc87911/versions/42/views' \
-H 'Authorization: Bearer <token>'
Example #2 (with all query parameters)
Request
curl -v 'https://developer.api.autodesk.com/bim360/modelset/v3/containers/f0f4f36a-ac64-687f-b132-8efe04b22454/modelsets/00fb28a5-e8a4-2755-562a-7c2f0fc87911/versions/42/views?pageLimit=134&continuationToken=10' \
-H 'Authorization: Bearer <token>'
Response (200)
{
"page": {
"continuationToken": "10"
},
"modelSetViewVersions": [
{
"viewId": "7ed27144-ac06-4b72-5dd6-76bee05854be",
"modelSetId": "00fb28a5-e8a4-2755-562a-7c2f0fc87911",
"documentVersions": [
{
"stableDocumentId": "urn:adsk.wipprod:dm.lineage:jvMF7mrHR7OwG_DToKsJUA#Level 1",
"unstableDocumentId": "urn:adsk.wipprod:fs.file:vf.M7KsPcpXTn6nPPRhrQnjGA?version=1#Level 1",
"documentLineage": {
"lineageUrn": "urn:adsk.wipprod:dm.lineage:jvMF7mrHR7OwG_DToKsJUA",
"parentFolderUrn": "urn:adsk.wipprod:fs.folder:co.WI8roO18TU2Cl3P9y64z4w",
"isAligned": false,
"tipVersionUrn": "urn:adsk.wipprod:fs.file:vf.jvMF7mrHR7OwG_DToKsJUA?version=1"
},
"alignment": {
"transform": [
576.2757476333176,
576.2757476333176,
576.2757476333176,
576.2757476333176,
576.2757476333176,
576.2757476333176,
576.2757476333176,
576.2757476333176,
576.2757476333176,
576.2757476333176,
576.2757476333176,
576.2757476333176,
576.2757476333176,
576.2757476333176,
576.2757476333176,
576.2757476333176
],
"checksum": "7215ee9c7d9dc229d2921a40e899ec5f",
"upAxis": [
"0",
"0",
"1"
],
"distanceUnit": "autodesk.unit.unit:meters-2.0.0"
},
"isTipVersion": true,
"documentStatus": "Succeeded",
"forgeType": "versions:autodesk.bim360:Document",
"versionUrn": "urn:adsk.wipprod:fs.file:vf.jvMF7mrHR7OwG_DToKsJUA?version=1",
"displayName": "example_document.rvt",
"revision": "1",
"viewableName": "Level 1",
"createUserId": "PD23PXGV8V3V",
"createTime": "2015-10-21T16:29:30.000Z",
"viewableGuid": "b1e3fda8-9a15-8cb9-9951-6f4781f8f897",
"viewableId": "2df27d58-d1c2-467b-be10-80baf501cb87-0008ebd5",
"viewableMime": "application/autodesk-svf",
"bubbleUrn": "urn:adsk.wipprod:fs.file:vf.M7KsPcpXTn6nPPRhrQnjGA?version=1",
"isSvf2Supported": false,
"originalSeedFileVersionUrn": "urn:adsk.wipprod:fs.file:vf.M7KsPcpXTn6nPPRhrQnjGA?version=1",
"originalSeedFileVersionName": "Hospital_Architectural.rvt"
}
],
"version": 42
}
]
}
Response (400)
{
"type": "BadInput",
"title": "One or more input values in the request were bad",
"detail": "The following parameters are invalid: containerId",
"errors": [
{
"field": "containerId",
"title": "Invalid parameter",
"detail": "The value 'testing' is not valid.",
"type": "BadInput"
}
]
}